#include <SoftwareSerial.h>
#include <SimpleTimer.h>

#define Rx    9
#define Tx    10
SoftwareSerial mySerial(Rx,Tx);
SimpleTimer  timer;

enum soundginPreset {
  SpaceWarp       = 0,
  Waba            = 1,
  RandomThoughts  = 2,	
  Gong            = 3,	
  Pwang           = 4,	
  Wow             = 5,
  Rananana        = 6,	
  Twarty          = 7,	
  Telly           = 8,	
  Pulsator        = 9,	
  Bound           = 10,	
  TipToe          = 11,
  Spoles          = 12,	
  Chopper         = 13,	
  Phazer          = 14,	
  PowerLines      = 15,	
  HeavyMetal1     = 16,	
  HeavyMetal2     = 17,
  ACMotor         = 18 ,	
  YaYa            = 19,	
  March           = 20,	
  NoiseChatter    = 21,	
  BlipChatter     = 22,	
  Carney          = 23,
  EarthQuake      = 24,	
  MindProbe       = 25,	
  Siren           = 26,	
  Squaba          = 27,	
  SteamLoco       = 28, 
  FreqMod         = 29, 
  AmpMod          = 30
};


void setup() {
  mySerial.begin(9600);
  delay(500);                  //Keep at 500+
  pinMode (13, OUTPUT);
  
  playSound(Telly, 1500);
  
//  loadPreset(0, SteamLoco);
//  delay(2000);
//  clearMixer(0);
 
}

void loop() {
  timer.run();
}

void playSound(byte preset, int delayInterval) {
  loadPreset(0, preset);
  timer.setTimeout(delayInterval, clearSound);
}

void clearSound() {
  clearMixer(0);
}

void loadPreset(byte mixer, byte presetSound) {
  mySerial.write((byte)0x1b);
  if(mixer == 1)
    mySerial.write((byte)0x6b);          //Load preset in mixer B
  else
    mySerial.write((byte)0x4b);          //Load preset in mixer A
  mySerial.write((byte)presetSound);
  triggerMixer(mixer);
}

void triggerMixer(byte mixer) {
  mySerial.write((byte)0x1b);
  if(mixer == 1)
      mySerial.write((byte)0x73);    //Trigger mixer B
  else
    mySerial.write((byte)0x53);      //Trigger mixer A
}

void clearMixer(byte mixer) {
  mySerial.write((byte)0x1b);
  if(mixer == 1)
    mySerial.write((byte)0x77);
  else
    mySerial.write((byte)0x57);
}


